Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client
Class ParlayXConverter

    java.lang.Object
      hr.tis.mgw.client.ParlayXConverter

public class ParlayXConverter
extends java.lang.Object

Utility class for conversion of various ParlayX instances. There is no need to use this class directly since it is used internally by library.

Method Summary
`static java.lang.String` | `fromEndUserIdentifier(org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier endUserIdentifier)`
`static java.lang.String[]` | `fromEndUserIdentifiers(org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier[] endUserIdentifiers)`
`static Status` | `fromParlayXDeliveryStatus(org.csapi.www.schema.parlayx.sms.v1_0.DeliveryStatus deliveryStatus)`
`static Status` | `fromParlayXDeliveryStatus(org.csapi.www.schema.parlayx.mm.v1_0.DeliveryStatus deliveryStatus)`
`static DeliveryStatusInfo[]` | `fromParlayXDeliveryStatusTypes(org.csapi.www.schema.parlayx.sms.v1_0.DeliveryStatusType[] types)`
`static DeliveryStatusInfo[]` | `fromParlayXDeliveryStatusTypes(org.csapi.www.schema.parlayx.mm.v1_0.DeliveryStatusType[] types)`
`static Accuracy` | `fromParlayXLocationAccuracy(org.csapi.www.schema.parlayx.terminal_location.v1_0.LocationAccuracy locationAccuracy)`
`static Location` | `fromParlayXLocationInfo(org.csapi.www.schema.parlayx.terminal_location.v1_0.LocationInfo locationInfo)`
`static Priority` | `fromParlayXMessagePriority(org.csapi.www.schema.parlayx.mm.v1_0.MessagePriority messagePriority)`
`static org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier` | `toEndUserIdentifier(java.lang.String address)`
`static org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier[]` | `toEndUserIdentifiers(java.lang.String[] addresses)`
`static org.csapi.www.schema.parlayx.terminal_location.v1_0.LocationAccuracy` | `toParlayXLocationAccuracy(Accuracy accuracy)`
`static org.csapi.www.schema.parlayx.mm.v1_0.MessagePriority` | `toParlayXMessagePriority(Priority priority)`
`static org.csapi.www.schema.parlayx.sms.v1_0.SmsFormat` | `toParlayXSmsFormat(Format smsFormat)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### toEndUserIdentifier

    public static org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier toEndUserIdentifier(java.lang.String address)
                                                                                          throws org.apache.axis.types.URI.MalformedURIException

  Throws:
    `org.apache.axis.types.URI.MalformedURIException`

### toEndUserIdentifiers

    public static org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier[] toEndUserIdentifiers(java.lang.String[] addresses)
                                                                                             throws org.apache.axis.types.URI.MalformedURIException

  Throws:
    `org.apache.axis.types.URI.MalformedURIException`

### fromEndUserIdentifier

    public static java.lang.String fromEndUserIdentifier(org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier endUserIdentifier)

### fromEndUserIdentifiers

    public static java.lang.String[] fromEndUserIdentifiers(org.csapi.www.schema.parlayx.common.v1_0.EndUserIdentifier[] endUserIdentifiers)

### toParlayXMessagePriority

    public static org.csapi.www.schema.parlayx.mm.v1_0.MessagePriority toParlayXMessagePriority(Priority priority)

### fromParlayXMessagePriority

    public static Priority fromParlayXMessagePriority(org.csapi.www.schema.parlayx.mm.v1_0.MessagePriority messagePriority)

### toParlayXSmsFormat

    public static org.csapi.www.schema.parlayx.sms.v1_0.SmsFormat toParlayXSmsFormat(Format smsFormat)

### fromParlayXDeliveryStatus

    public static Status fromParlayXDeliveryStatus(org.csapi.www.schema.parlayx.sms.v1_0.DeliveryStatus deliveryStatus)

### fromParlayXDeliveryStatus

    public static Status fromParlayXDeliveryStatus(org.csapi.www.schema.parlayx.mm.v1_0.DeliveryStatus deliveryStatus)

### fromParlayXDeliveryStatusTypes

    public static DeliveryStatusInfo[] fromParlayXDeliveryStatusTypes(org.csapi.www.schema.parlayx.sms.v1_0.DeliveryStatusType[] types)

### fromParlayXDeliveryStatusTypes

    public static DeliveryStatusInfo[] fromParlayXDeliveryStatusTypes(org.csapi.www.schema.parlayx.mm.v1_0.DeliveryStatusType[] types)

### toParlayXLocationAccuracy

    public static org.csapi.www.schema.parlayx.terminal_location.v1_0.LocationAccuracy toParlayXLocationAccuracy(Accuracy accuracy)

### fromParlayXLocationAccuracy

    public static Accuracy fromParlayXLocationAccuracy(org.csapi.www.schema.parlayx.terminal_location.v1_0.LocationAccuracy locationAccuracy)

### fromParlayXLocationInfo

    public static Location fromParlayXLocationInfo(org.csapi.www.schema.parlayx.terminal_location.v1_0.LocationInfo locationInfo)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.